
User Interface - Bug #2582

Feature # 2423 (Closed): add proper key-to-event mappings in GUI

Some key labels are not supported by p2j

06/08/2015 07:50 AM - Igor Skornyakov

Status: New Start date: 06/08/2015

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 06/08/2015 07:57 AM - Igor Skornyakov

- File keycodes1.ods added

P2J doesn't support some valid key labels (such as CTRL-ALT-A). The 4GL documentation contains misprints and is not complete. The attached

document contains (hopefully) more accurate and complete data. Please note that a label with "ALT-" is equivalent to the one with with "ESC-" (but

not always vise versa) and the KEYLABEL function always returns the label with ESC-.

#2 - 06/08/2015 06:23 PM - Igor Skornyakov

- File key_code_report.p added

- File keylabels.txt added

The attached is the updated key_code_report.p program which outputs additional key labels and its output.

#3 - 06/12/2015 09:24 AM - Igor Skornyakov

- Target version set to Milestone 12

#4 - 03/23/2016 05:17 PM - Greg Shah

- Target version deleted (Milestone 12)

Files

keycodes1.ods 89.4 KB 06/08/2015 Igor Skornyakov

key_code_report.p 1.74 KB 06/08/2015 Igor Skornyakov

keylabels.txt 508 KB 06/08/2015 Igor Skornyakov
